ovs-tcpundump(1)

NAME
ovs-tcpundump - convert ``tcpdump -xx'' output to hex strings

SYNOPSIS
ovs-tcpundump < file

Common options:
    [-h | --help] [-V | --version]

DESCRIPTION
The ovs-tcpundump program reads tcpdump -xx output on stdin, looking for hexadecimal packet data, and dumps each Ethernet as a single hexadecimal string on stdout. This format is suitable for use with the ofproto/trace command supported by ovs-vswitchd(8) via ovs-appctl(8).

At least two -x or -X options must be given, otherwise the output will omit the Ethernet header, which prevents the output from being using with ofproto/trace.

OPTIONS

-h  Prints a brief help message to the console.

-V  Prints version information to the console.

SEE ALSO
ovs-appctl(8), ovs-vswitchd(8), ovs-pcap(1), tcpdump(8), wireshark(8).